GNU bug report logs - #44604
27.1; gpg error when language environment is set to Turkish

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Fatih Aydin <fataydin138@HIDDEN>; dated Fri, 13 Nov 2020 00:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 2 Dec 2020 10:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 02 05:07:37 2020
Received: from localhost ([127.0.0.1]:34308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkP2v-0002Pe-Fz
	for submit <at> debbugs.gnu.org; Wed, 02 Dec 2020 05:07:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:58732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kkP2u-0002PR-GK
 for 44604 <at> debbugs.gnu.org; Wed, 02 Dec 2020 05:07:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=kPzJE7KmOunexEkLPPrVAQ22uiZIf0jz2MW1bEZLVvk=; b=pfrFaCqN5MQYmleLv2DeUiKXt6
 TPcGj0OMmiCwodYCf8aPZ6ldnhZtWMFnHlvSsadbl27dnqLNzD2Ri8cckTfr/DpbUW7l5Co9gI5K+
 d/Tr9hd/Gi02x+gRMgh5mpFElqPom0MpVVffOK4dWpjOhU9Em6N51A0vAiXevsvxncBc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kkP2h-0004h6-Qx; Wed, 02 Dec 2020 11:07:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN>
 <CAHRQZ1zBDQFXRwKnmS78UyffeHxue9EdBv89jid9-9kSrR2yeg@HIDDEN>
 <834klosm4v.fsf@HIDDEN>
 <CAHRQZ1y_AHnLdk73xp_-BU1Z2nidrsS7B3ieGRDwgCdwePnXdQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXp5OKzpqKKeHVS
 PTv///9X6rKaAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QMAgklKYtopboAAAGSSURBVDjLbZMLtsMg
 CETRbgBxA4obaHT/e3sDfpK2j9M0jdeBwRIKhEiNI9OJqBTJnwNAuUHoADP+UZDnyh8gKGUqW1G+
 FMl3tvJRY6Zi/gV8in+DsH7m8lVjg1hiXbs5WY0bhLqyjMofYKUKqfWCzn8AtTau/xQkBsZxFesG
 quMNgM7hg5I8wRWbAQ+AGlaqBlDQudQFcIMpzjiPUQRZUtIKoC5lsh1SAXBXRLxCQrUA0EZNwTLJ
 AlXQc0hpDBgj3y72SSpFVNjAFUhPgFbp6qAracfjXAbIVdMGQ+b+jgvZsM2AzAY5ApinLuJgnLPS
 1n3SNNdsQE2BC+m6tX5AWwqYtWGJAJeDtP5o1LT5enVpVzup7shdxgTVgWUh+3r1tEAhq30GyhQz
 +LFqrq8b8BqzBdpcv4j4U6ELuCLcoLbu4E3TLq3X5AA2EA1M1auOCeirxgY2u/xk+QBbfXQC0JZb
 4mcy1d0epsT9LMdNp8KWps8FJG/F7ANgn8nYbu10Yc1f9gO6vxrknoN747COMPEfhaRNUtUweIMA
 AAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTItMDJUMDk6Mzc6NDErMDA6MDBEeQz4AAAAJXRFWHRk
 YXRlOm1vZGlmeQAyMDIwLTEyLTAyVDA5OjM3OjQxKzAwOjAwNSS0RAAAAABJRU5ErkJggg==
X-Now-Playing: David Sylvian's _Brilliant Trees_: "Backwaters"
Date: Wed, 02 Dec 2020 11:07:18 +0100
In-Reply-To: <CAHRQZ1y_AHnLdk73xp_-BU1Z2nidrsS7B3ieGRDwgCdwePnXdQ@HIDDEN>
 (Fatih Aydin's message of "Tue, 1 Dec 2020 11:06:49 +0000")
Message-ID: <87o8jc4j3d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Fatih Aydin <fataydin138@HIDDEN> writes: > Let there be
 a new variable to define file types (according to extension) and the > lang.
 env. for those file types. For '.el' files, English lang. env. can be assigned
 > using that variable. > That [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44604
Cc: Eli Zaretskii <eliz@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fatih Aydin <fataydin138@HIDDEN> writes:

> Let there be a new variable to define file types (according to extension)=
 and the
> lang. env. for those file types. For '.el' files, English lang. env. can =
be assigned
> using that variable.
> That means the user will have an option to say: 'Always evaluate .el file=
s using
> English language' to Emacs.

That's not really the issue -- this is always about .el files, but it's
about how to handle text in different contexts.

For instance, you may have a mail buffer with code that's generating
mail headers, so you have a structure that contains

(("MY-NAME-IS" "ASIL"))

and you have code that's supposed to generate, from that, a header that
looks like:

My-name-is: As=C4=B1l

The code has to know that the former bit is a "protocol string" and the
latter bit is a "language string".

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 1 Dec 2020 11:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 06:07:08 2020
Received: from localhost ([127.0.0.1]:58045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kk3Uy-0002lc-DB
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 06:07:08 -0500
Received: from mail-ej1-f44.google.com ([209.85.218.44]:35157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kk3Uw-0002lF-Pd
 for 44604 <at> debbugs.gnu.org; Tue, 01 Dec 2020 06:07:07 -0500
Received: by mail-ej1-f44.google.com with SMTP id f23so3303140ejk.2
 for <44604 <at> debbugs.gnu.org>; Tue, 01 Dec 2020 03:07:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Wx6htvYzkcUfdWDnCQKJJHEKtAR+xVbLYD11qacEpYc=;
 b=t6mhaM3zVcOP9qt/cpZWiX+IXzEacJIPa0bzz6mfutVNG2VUwn3HGm6Wok6brzvUQq
 fUp7dnQpZzvMSPet9/aoX3daH6gPbnC88irnpeK907wQVgO4dn5zir8WKC2JBm6jArj8
 HKYh8fsfoINEDwpGtODHMUYrB8kpiYe+sFYTwMLuDyAY1ac3YaG7F71q7Rq0/IKuMRI2
 jW7KFyJhB/RdxCHf9mH8LaaxDZ8aW7Km1c8c076tCCPsCr/5gErjR7PQXKsUEiJC+jiw
 BC7dgMkDDAD8kiEXFIXa/Kpa1XPyzNsNHB6BP5aLk32YAIwgWz/T3brye7Mfd+QRM32u
 QZoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Wx6htvYzkcUfdWDnCQKJJHEKtAR+xVbLYD11qacEpYc=;
 b=iBi6mwo+BFvE/9lqYqch5ow1QSJNAaRG1fOkSMoxfW5NhXdP4OH3XZe+bodyhaghnl
 NNsz5StYF5Q62knR8HqNx14SX53KK51IBif0hK/lMjJCusvaY6ovKSlTSgtRENAS5r72
 GG9iX5j6u1CiVUDPl7c+6LkQKYjkovOAH/Q5GZsx15WWA3Grn/5VO6/DePXPEiF6jtgU
 VZTMR6JUOgzCkqPt/hRdxycc0x5TBwlC86Mq0v4aaA6gGMfPlFgS4BgiaZilgTbgl8eE
 6SCPuCbmHqd44JrMjZfGP0bCCs1WHhXpq5ELh2iMcMYmg9pbdC8w+JvtJI6WJvTgyxup
 Jlag==
X-Gm-Message-State: AOAM533KE9/waIQtk1TyPuu949rL5TZut1P378qG5xwBpSNKcDUbJgR4
 iJnElVhOHanHEPToMgx1GyRCJKDsE81QPRTpI7U=
X-Google-Smtp-Source: ABdhPJwaYVQbBhJtnzgaqXbHsoPk5pFQpiBQ4Uumm491Uisg8yP1icd7TbdZCu4y4kb1zCzQ/zOQbHyMHJnnZc28vMM=
X-Received: by 2002:a17:906:c046:: with SMTP id
 bm6mr2352425ejb.436.1606820820951; 
 Tue, 01 Dec 2020 03:07:00 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN>
 <CAHRQZ1zBDQFXRwKnmS78UyffeHxue9EdBv89jid9-9kSrR2yeg@HIDDEN>
 <834klosm4v.fsf@HIDDEN>
In-Reply-To: <834klosm4v.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Tue, 1 Dec 2020 11:06:49 +0000
Message-ID: <CAHRQZ1y_AHnLdk73xp_-BU1Z2nidrsS7B3ieGRDwgCdwePnXdQ@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004028a605b5652041"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000004028a605b5652041
Content-Type: text/plain; charset="UTF-8"

I will tell you an idea of mine, a new feature that can help users to solve
the problem. Maybe it's silly or not doable.
Let there be a new variable to define file types (according to extension)
and the lang. env. for those file types. For '.el' files, English lang.
env. can be assigned using that variable.
That means the user will have an option to say: 'Always evaluate .el files
using English language' to Emacs.

--0000000000004028a605b5652041
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>I will tell you an idea of mine, a new feature that c=
an help users to solve the problem. Maybe it&#39;s silly or not doable.<br>=
</div><div>Let there be a new variable to define file types (according to e=
xtension) and the lang. env. for those file types. For &#39;.el&#39; files,=
 English lang. env. can be assigned using that variable.</div><div>That mea=
ns the user will have an option to say: &#39;Always evaluate .el files usin=
g English language&#39; to Emacs.<br></div></div>

--0000000000004028a605b5652041--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 25 Nov 2020 15:24:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 10:24:25 2020
Received: from localhost ([127.0.0.1]:36703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khwee-00010M-Qv
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:24:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1khwed-000101-8X
 for 44604 <at> debbugs.gnu.org; Wed, 25 Nov 2020 10:24:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46069)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1khweY-00012E-1H; Wed, 25 Nov 2020 10:24:18 -0500
Received: from [176.228.60.248] (port=2887 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1khweW-0006xj-AR; Wed, 25 Nov 2020 10:24:16 -0500
Date: Wed, 25 Nov 2020 17:24:18 +0200
Message-Id: <83pn41sbml.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87y2iq0xi1.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 25 Nov 2020 07:19:18 +0100)
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN> <871rgtxac5.fsf@HIDDEN>
 <831rgsslrq.fsf@HIDDEN> <87blfne3mp.fsf@HIDDEN>
 <83zh36u6gg.fsf@HIDDEN> <87y2iq0xi1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: fatihaydin138@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: fatihaydin138@HIDDEN,  44604 <at> debbugs.gnu.org
> Date: Wed, 25 Nov 2020 07:19:18 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I think the use cases that need to heed the buffer's case-table are
> > more than just interactive invocations of those commands.  But we need
> > to audit the uses, because if it turns out the amount of those who do
> > need the buffer's case-table is significantly smaller, it is they
> > which would need to bind something, and not vice versa.
> 
> Yup.  I'm not sure where to start, though -- it sounds like a pretty
> major headache whichever way we do this...

It could be.  But maybe we will be able to find a simple solution.

I'm thinking about alternatives, but so far I have no better ideas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 25 Nov 2020 06:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 25 01:19:30 2020
Received: from localhost ([127.0.0.1]:33960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kho9K-0005wI-25
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 01:19:30 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kho9H-0005w4-Vz
 for 44604 <at> debbugs.gnu.org; Wed, 25 Nov 2020 01:19:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uCGbK9ka2/u3ZmqR6rfcNDcI0qdJzdxk5DuTk6c9vWY=; b=eSoikDrwglwPJWvtAbYSeKoGAX
 5v6rEcczpe0/bhnxc+K4ZZw6SMHtMtCYqC01qgu73a/ij5F6JJCgpjcgNsubM/bbbeXrrA2IRl3U7
 I4TOgncQGfMJRPD96HEMMZDmHcgqI2rWDRia90L+4lnmB4pnLPDAiQqJgpFwhZhxyeOU=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kho99-00049F-5m; Wed, 25 Nov 2020 07:19:21 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN> <871rgtxac5.fsf@HIDDEN>
 <831rgsslrq.fsf@HIDDEN> <87blfne3mp.fsf@HIDDEN>
 <83zh36u6gg.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVwUh6odBTblRP4
 qRO7gRX////jZM1jAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QLGAokM+DTuDMAAAG5SURBVDjLlVTR
 leMwCMx2sBA1IFADxm4AWf3XdIOQHe++u4/T80M4mBkGpLy+KNf369fS/e/rXwFFYIXMrt/gzwwW
 LNOtxYani9QZ8OKFahgnmF7gzkAkSDtlrfk+A5NFEnzC3xybiDrAOTiOMG0GaKulEI1GZbBXdx6L
 wxIcm0o3VXiLY4LawofVVP7Gp0ePnKohqGrPDB5Og4KGulMlb04fHbk0tS8doWD1afLkS2RwH7Xj
 u8qtSxNYjYAxcQX+QKuEyId38iw3oFOITh79cOz7PS84unTEF1pXUcKiZ8sMUnKOdoUlCHpXngED
 qs5+aU81Jr8Pg372pVyrrQbP2hIqjttU4oyRUHEtj5knh1kJ/7w5Vqsk53/3yoQypcsps7AkL+h/
 GZsPsAjDh/eYuV0Tsftc3WNePEkyq8pO9ZAMu8uWGYUY6MCmfhSvg+nSgXxpUc1+xCD1xzwWvun+
 0AHsQ5IF57dCSx5qGqVXXA0H/hszJ+/16pWZvBvPxqIyU3tw6GPui4NjhJF0xgU07VcGMRY6hLsH
 QXziWTr6LH1WdR2Vm+Npbw55vusj8H//Jfvr57X5wP4Bkm26cKoLlmcAAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjAtMTEtMjRUMTA6MzY6NTErMDA6MDBZcPNMAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIw
 LTExLTI0VDEwOjM2OjUxKzAwOjAwKC1L8AAAAABJRU5ErkJggg==
X-Now-Playing: Section 25's _Always Now_: "Loose Talk (Costs Lives)"
Date: Wed, 25 Nov 2020 07:19:18 +0100
In-Reply-To: <83zh36u6gg.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Nov
 2020 17:20:47 +0200")
Message-ID: <87y2iq0xi1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I think the use cases
 that need to heed the buffer's case-table are > more than just interactive
 invocations of those commands. But we need > to audit the uses, because if
 it turns out the amount of [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44604
Cc: fatihaydin138@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think the use cases that need to heed the buffer's case-table are
> more than just interactive invocations of those commands.  But we need
> to audit the uses, because if it turns out the amount of those who do
> need the buffer's case-table is significantly smaller, it is they
> which would need to bind something, and not vice versa.

Yup.  I'm not sure where to start, though -- it sounds like a pretty
major headache whichever way we do this...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 24 Nov 2020 15:20:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 10:20:57 2020
Received: from localhost ([127.0.0.1]:60904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kha7l-00052d-Ja
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 10:20:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kha7k-00052P-5N
 for 44604 <at> debbugs.gnu.org; Tue, 24 Nov 2020 10:20:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45862)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kha7e-0007f1-Rz; Tue, 24 Nov 2020 10:20:50 -0500
Received: from [176.228.60.248] (port=2211 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kha7c-0004B5-7a; Tue, 24 Nov 2020 10:20:50 -0500
Date: Tue, 24 Nov 2020 17:20:47 +0200
Message-Id: <83zh36u6gg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87blfne3mp.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 24 Nov 2020 06:16:14 +0100)
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN> <871rgtxac5.fsf@HIDDEN>
 <831rgsslrq.fsf@HIDDEN> <87blfne3mp.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: fatihaydin138@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: fatihaydin138@HIDDEN,  44604 <at> debbugs.gnu.org
> Date: Tue, 24 Nov 2020 06:16:14 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I thought about something rather simple: a global variable, let's name
> > it overriding-case-table, that will be heeded to by the various case
> > conversions ('downcase' etc.) in preference to any other case-table.
> > Then commands that need strict ASCII case rules could bind that
> > variable, or we could use with-case-table macro, without fear that
> > different buffers will behave in different ways.
> 
> Yeah, that sounds like a better solution.  It basically means that all
> code that does code conversion (for protocol reasons) will need to be
> wrapped with that binding, and there's a lot of it in Emacs -- I'm
> guessing there's more code that needs wrapping than needs to be
> unwrapped.
> 
> Which is a pain.  But I guess just having interactive cases of
> `downcase' and friends heed the case table, and otherwise ignore it,
> isn't really workable either?  That'd be a lot less code to fix.

I think the use cases that need to heed the buffer's case-table are
more than just interactive invocations of those commands.  But we need
to audit the uses, because if it turns out the amount of those who do
need the buffer's case-table is significantly smaller, it is they
which would need to bind something, and not vice versa.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 24 Nov 2020 05:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 00:16:25 2020
Received: from localhost ([127.0.0.1]:52102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khQgj-0003Ui-D4
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 00:16:25 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khQgi-0003UW-7B
 for 44604 <at> debbugs.gnu.org; Tue, 24 Nov 2020 00:16:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UA2HUqTOVJCBzOEjloWC3BuiviMifsEGfMa+9/ia+qo=; b=mj18U2N/QoXTTiSCKOgxOm8s+l
 Vkt4VW8n3+FO32q64ksiHQ39UTDxaJVPDCxbkRpdlWtilsc5vR+75Pu240V9GcBhFujQaLWDQ8+aa
 KzHuhhzwBh+AB4U8qamXoXuZI1pm9gbqP3X+/pdmiHjpXhOwwMzTEL0KbQtMEItXltw0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khQgZ-0008Cz-Ew; Tue, 24 Nov 2020 06:16:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN> <871rgtxac5.fsf@HIDDEN>
 <831rgsslrq.fsf@HIDDEN>
X-Now-Playing: The B-52's's _Wild Planet_: "53 Miles West Of Venus"
Date: Tue, 24 Nov 2020 06:16:14 +0100
In-Reply-To: <831rgsslrq.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 17 Nov
 2020 05:30:17 +0200")
Message-ID: <87blfne3mp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I thought about
 something
 rather simple: a global variable, let's name > it overriding-case-table,
 that will be heeded to by the various case > conversions ('downcase' etc.)
 in preference to any oth [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44604
Cc: fatihaydin138@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I thought about something rather simple: a global variable, let's name
> it overriding-case-table, that will be heeded to by the various case
> conversions ('downcase' etc.) in preference to any other case-table.
> Then commands that need strict ASCII case rules could bind that
> variable, or we could use with-case-table macro, without fear that
> different buffers will behave in different ways.

Yeah, that sounds like a better solution.  It basically means that all
code that does code conversion (for protocol reasons) will need to be
wrapped with that binding, and there's a lot of it in Emacs -- I'm
guessing there's more code that needs wrapping than needs to be
unwrapped.

Which is a pain.  But I guess just having interactive cases of
`downcase' and friends heed the case table, and otherwise ignore it,
isn't really workable either?  That'd be a lot less code to fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 17 Nov 2020 03:30:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 22:30:34 2020
Received: from localhost ([127.0.0.1]:57989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kerhR-0001BZ-VS
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 22:30:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kerhO-00012u-8t
 for 44604 <at> debbugs.gnu.org; Mon, 16 Nov 2020 22:30:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47217)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kerhI-0008OH-SB; Mon, 16 Nov 2020 22:30:24 -0500
Received: from [176.228.60.248] (port=4201 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kerhH-0003gW-2w; Mon, 16 Nov 2020 22:30:24 -0500
Date: Tue, 17 Nov 2020 05:30:17 +0200
Message-Id: <831rgsslrq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <871rgtxac5.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 16 Nov 2020 22:26:02 +0100)
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN> <871rgtxac5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: fatihaydin138@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Fatih Aydın <fatihaydin138@HIDDEN>,
>   fataydin138@HIDDEN,
>   44604 <at> debbugs.gnu.org
> Date: Mon, 16 Nov 2020 22:26:02 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I think we need a new infrastructure for solving this.
> 
> Looks that way -- we're using the same functions to handle human-input
> text (i.e., commands like `M-u') as API/protocol text (comparing DIRECT
> and direct by downcasing), and that's problematic.
> 
> So we'd have to add a bunch of functions to handle stuff like this, but
> it seems like a rather daunting task.
> 
> Or we could do something simple, like having a buffer-local variable
> that says "the characters in this buffer are protocol data" and which
> would make the locale the "C" locale?  Hm...  there'd probably be some
> messy fallout from that, too.

I thought about something rather simple: a global variable, let's name
it overriding-case-table, that will be heeded to by the various case
conversions ('downcase' etc.) in preference to any other case-table.
Then commands that need strict ASCII case rules could bind that
variable, or we could use with-case-table macro, without fear that
different buffers will behave in different ways.

I didn't look at the code yet, so maybe this simple idea is not
workable.  But if it is, it should be very simple to implement.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 17 Nov 2020 03:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 22:22:43 2020
Received: from localhost ([127.0.0.1]:57980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kerZq-0000SK-CN
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 22:22:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kerZj-0000S0-5K
 for 44604 <at> debbugs.gnu.org; Mon, 16 Nov 2020 22:22:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47128)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kerZd-0007LN-SV; Mon, 16 Nov 2020 22:22:29 -0500
Received: from [176.228.60.248] (port=3724 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kerZd-0003vB-82; Mon, 16 Nov 2020 22:22:29 -0500
Date: Tue, 17 Nov 2020 05:22:24 +0200
Message-Id: <834klosm4v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
In-Reply-To: <CAHRQZ1zBDQFXRwKnmS78UyffeHxue9EdBv89jid9-9kSrR2yeg@HIDDEN>
 (message from Fatih Aydin on Mon, 16 Nov 2020 20:53:00 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN>
 <CAHRQZ1zBDQFXRwKnmS78UyffeHxue9EdBv89jid9-9kSrR2yeg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: larsi@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydin <fataydin138@HIDDEN>
> Date: Mon, 16 Nov 2020 20:53:00 +0000
> Cc: Fatih Aydın <fatihaydin138@HIDDEN>, 
> 	Lars Ingebrigtsen <larsi@HIDDEN>, 44604 <at> debbugs.gnu.org
> 
> To make things clear, the problem is not only with the network protocols.
> In org-mode I've realized some variables like #TITLE:, :PROPERTIES: don't work.
> I guess no variable works if it has 'i' in it.

Yes, any such text that needs to be downcased will cause similar
problem in this language environment.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 16 Nov 2020 21:26:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 16:26:18 2020
Received: from localhost ([127.0.0.1]:57530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kem0w-0004JH-HM
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 16:26:18 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kem0r-0004Iz-Vr
 for 44604 <at> debbugs.gnu.org; Mon, 16 Nov 2020 16:26:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=w5znohhNbuHX9+Rmv5odjDCsvTi8FKilNJAQ6D3i5kc=; b=mEtKwcykyFBDeAD1hhx+EQlHFi
 MU+ufmI6VYe2rQiVMQaK0/kswWTsQgqeeTE+CMOiebUncbZGHMqwQBVayITyhRZgW4NcuiCg0HG4K
 8kshbpfVoENdS4gURsoRsd3vaqVuo+9iswMjfV4Ht2N15JAQjIx6h0B/o4h2koaUabDk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kem0i-0005Vh-DO; Mon, 16 Nov 2020 22:26:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUtKSgeHR1GQjhi
 WlGSg3LXyrn///+uCZ/EAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+QLEBUTN6V3ELwAAAGnSURBVDjL
 pZRBk9sgDIUF3t5xm94JpHcb4Xti4N6J0f//Kysg8ZLJ+tCpDplxvkjvGb0A8M+lQBtppJbvxBht
 uN57NMj6+Sh0iFifuim6+4V6myAbfANYZh34PKjBme87DEgD/1P6CKxPM+P4YkvEI5d+nyVeJZbr
 gXaavj+AXzS/SO6KF7pi18POKhrBxtVn9TwK8RilvI6T9ATSti45jRV4umf4GWkSenAFfFwrGBLR
 XUFIN6mhTBNWFA3hiegvMJif2x/H2hErkFuad/HqStYOY7c/s5W6B5bBHUOcwPKT3gHYIu5j3JQt
 VnV9sQIkA/IxZYXFfJfiIkKU6FwBR1NDGWVaC9fUYmP31cj2fT6zOFx0t/+lEUKn0fbBGGgrnmlt
 +R+e2xC4bHKhFLCpDPu+lkQWU1ijs6aY2Uf94PE3H1yMAdHPX+A3UQhpM56ui/PTFzixV5a2EcAp
 25b1yEip7RLLg1Pdv6CBlEsOjFJ7rkQ9k0yZ1RnUA26AXz1jLJVubPe8J/FUVsVOA/q76SOqiMqF
 gGjC9nKriI+VrxquE2bu4FGfuFNXAOaabmkAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTEtMTZU
 MjE6MTk6NTUrMDA6MDBxlbeqAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTExLTE2VDIxOjE5OjU1
 KzAwOjAwAMgPFgAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Amchitka (1)_: "Phil Ochs - Joe Hill"
Date: Mon, 16 Nov 2020 22:26:02 +0100
In-Reply-To: <838sb1tgyq.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 16 Nov
 2020 18:16:29 +0200")
Message-ID: <871rgtxac5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I think we need a new
 infrastructure for solving this. Looks that way -- we're using the same
 functions
 to handle human-input text (i.e., commands like `M-u') as API/protocol text
 (comparing DIRECT and direct by downcasing), and that's problematic. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44604
Cc: Fatih =?utf-8?Q?Ayd=C4=B1n?= <fatihaydin138@HIDDEN>,
 44604 <at> debbugs.gnu.org, fataydin138@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think we need a new infrastructure for solving this.

Looks that way -- we're using the same functions to handle human-input
text (i.e., commands like `M-u') as API/protocol text (comparing DIRECT
and direct by downcasing), and that's problematic.

So we'd have to add a bunch of functions to handle stuff like this, but
it seems like a rather daunting task.

Or we could do something simple, like having a buffer-local variable
that says "the characters in this buffer are protocol data" and which
would make the locale the "C" locale?  Hm...  there'd probably be some
messy fallout from that, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 16 Nov 2020 20:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 15:53:25 2020
Received: from localhost ([127.0.0.1]:57504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kelV6-0001OQ-Rt
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 15:53:25 -0500
Received: from mail-ed1-f49.google.com ([209.85.208.49]:45261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kelUz-0001Nt-G1
 for 44604 <at> debbugs.gnu.org; Mon, 16 Nov 2020 15:53:21 -0500
Received: by mail-ed1-f49.google.com with SMTP id q3so20137389edr.12
 for <44604 <at> debbugs.gnu.org>; Mon, 16 Nov 2020 12:53:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Bcxw4KjSzJrCCf+iJX0p9zwzZowHjdf9TrKuWRTsc6s=;
 b=Z33T+18zoHql+HgM6NHnyzfwMlQTux38qZYwXtWObzb5gt+UoivQYw/wJ/4e1pE72g
 B8sY6olfTVwRAWOX9NYzeRQ5OhVqCX496aQD/NR3TYBMT90Ll84H5YVk9R2K6d18xBD0
 vHRmhFvT5+XlTK5zmA/VhsZWFacdCMFVaq/yKmMoUZBN/2Lj4H8Abb7GhyFCSNDhwv7T
 Wnaii8qMWCm2nGQUIpqS3L6Tf4xjSmSXAP0VJUVaVw+dXj/Clo98g2TB7F34CQQXdYQe
 EpT1Xs/TmFIuw8W7F6NtB7TaWNKJEczME3p9H8V4j9R3Q1Zkn3kFYRXznz4yhqXjdWEt
 UEIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Bcxw4KjSzJrCCf+iJX0p9zwzZowHjdf9TrKuWRTsc6s=;
 b=qccl+dBiS9TsTQ9zm+Zxjm28mhSriRo77URVepdJMps+bZdxykvEE76pUByGAEV8Rp
 g0t9w/LXKR0BFtZIhjmBuLuc8nd/8JU8U7TZfvcneveoNQ24Av09xfRj3dpJaRVMo9Ze
 VN5lK1MPbrAybm3gd2EUBUtCwH/5cSqE+o7egi7QSrcP+VrHJiRZr+pUjYlhMIYU80N6
 LmV1x5jzrVt1ismukgAt5rxc5ehMR+7101jLp8tiU0gFdq/J2L+DAbAOrA44UBg81Adu
 vGOXS6THpJU29Oh70VXKVd6ubOejr8BeQqAWcwUjxyj3cdaBQpuB/CjRbKALGHs62TtQ
 mWrQ==
X-Gm-Message-State: AOAM530hAFUigwJhtwVAuzMNwZNGIpVDSX6NbHpPNKdcyLrp39wn5CFt
 spM0Yustv3wl1NHX3zgXBZ/ISAp6GFABcRUk8gw=
X-Google-Smtp-Source: ABdhPJz6DPeUue7Y1tL+WW6h7Dmboz24/RYnsFhAkVd1vZa1258l4s8cJ69q6dWja4sMhGy3Dz6+MRmHOU1TwactJ9s=
X-Received: by 2002:aa7:d615:: with SMTP id c21mr17582467edr.23.1605559991749; 
 Mon, 16 Nov 2020 12:53:11 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 <838sb1tgyq.fsf@HIDDEN>
In-Reply-To: <838sb1tgyq.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Mon, 16 Nov 2020 20:53:00 +0000
Message-ID: <CAHRQZ1zBDQFXRwKnmS78UyffeHxue9EdBv89jid9-9kSrR2yeg@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f9506b05b43f90c7"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 =?UTF-8?B?RmF0aWggQXlkxLFu?= <fatihaydin138@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000f9506b05b43f90c7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

To make things clear, the problem is not only with the network protocols.
In org-mode I've realized some variables like #TITLE:, :PROPERTIES: don't
work.
I guess no variable works if it has 'i' in it.

On Mon, Nov 16, 2020 at 4:16 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Fatih Ayd=C4=B1n <fatihaydin138@HIDDEN>
> > Date: Sun, 15 Nov 2020 20:52:49 +0000
> > Cc: Fatih Aydin <fataydin138@HIDDEN>, larsi@HIDDEN,
> 44604 <at> debbugs.gnu.org
> >
> > Is there something I can do to help with the process of solving this
> problem?
>
> Since the problem is easily reproducible, I think we can take it from
> here, thanks.
>
> > Also do you think that this will solved in the next release?
>
> If you mean 27.2, definitely not.  If you mean 28.1, the next major
> release, I hope so.
>
> I think we need a new infrastructure for solving this.
>

--000000000000f9506b05b43f90c7
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>To make things clear, the problem is not only wi=
th the network protocols.<br></div>In org-mode I&#39;ve realized some varia=
bles like #TITLE:, :PROPERTIES: don&#39;t work.<br></div><div>I guess no va=
riable works if it has &#39;i&#39; in it.<br></div></div><br><div class=3D"=
gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon, Nov 16, 2020 at =
4:16 PM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&=
gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0=
px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; =
From: Fatih Ayd=C4=B1n &lt;<a href=3D"mailto:fatihaydin138@HIDDEN" targe=
t=3D"_blank">fatihaydin138@HIDDEN</a>&gt;<br>
&gt; Date: Sun, 15 Nov 2020 20:52:49 +0000<br>
&gt; Cc: Fatih Aydin &lt;<a href=3D"mailto:fataydin138@HIDDEN" target=3D=
"_blank">fataydin138@HIDDEN</a>&gt;, <a href=3D"mailto:larsi@HIDDEN" t=
arget=3D"_blank">larsi@HIDDEN</a>, <a href=3D"mailto:44604@HIDDEN=
g" target=3D"_blank">44604 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; Is there something I can do to help with the process of solving this p=
roblem?<br>
<br>
Since the problem is easily reproducible, I think we can take it from<br>
here, thanks.<br>
<br>
&gt; Also do you think that this will solved in the next release?<br>
<br>
If you mean 27.2, definitely not.=C2=A0 If you mean 28.1, the next major<br=
>
release, I hope so.<br>
<br>
I think we need a new infrastructure for solving this.<br>
</blockquote></div>

--000000000000f9506b05b43f90c7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 16 Nov 2020 16:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 11:16:46 2020
Received: from localhost ([127.0.0.1]:56860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kehBN-0002SJ-MJ
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:16:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kehBM-0002Rk-6A
 for 44604 <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:16:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35993)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kehBG-00023o-RB; Mon, 16 Nov 2020 11:16:38 -0500
Received: from [176.228.60.248] (port=2461 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kehBD-0004Me-Oy; Mon, 16 Nov 2020 11:16:38 -0500
Date: Mon, 16 Nov 2020 18:16:29 +0200
Message-Id: <838sb1tgyq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih =?utf-8?Q?Ayd=C4=B1n?= <fatihaydin138@HIDDEN>
In-Reply-To: <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
 (message from Fatih =?utf-8?Q?Ayd=C4=B1n?= on Sun, 15 Nov 2020 20:52:49
 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
 <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: larsi@HIDDEN, 44604 <at> debbugs.gnu.org, fataydin138@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydın <fatihaydin138@HIDDEN>
> Date: Sun, 15 Nov 2020 20:52:49 +0000
> Cc: Fatih Aydin <fataydin138@HIDDEN>, larsi@HIDDEN, 44604 <at> debbugs.gnu.org
> 
> Is there something I can do to help with the process of solving this problem?

Since the problem is easily reproducible, I think we can take it from
here, thanks.

> Also do you think that this will solved in the next release?

If you mean 27.2, definitely not.  If you mean 28.1, the next major
release, I hope so.

I think we need a new infrastructure for solving this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 15 Nov 2020 21:52:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 16:52:21 2020
Received: from localhost ([127.0.0.1]:54424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kePwa-0006xl-7S
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 16:52:21 -0500
Received: from mail-io1-f44.google.com ([209.85.166.44]:45520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fatihaydin138@HIDDEN>) id 1keP1G-0005Nn-Fj
 for 44604 <at> debbugs.gnu.org; Sun, 15 Nov 2020 15:53:07 -0500
Received: by mail-io1-f44.google.com with SMTP id u21so15208796iol.12
 for <44604 <at> debbugs.gnu.org>; Sun, 15 Nov 2020 12:53:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=mZLLWQhyTWb1nqIuE7GSKHVe6pR5qQczX/wbgUcIjz0=;
 b=o1CJX47FwCWHUefkFHVGTFkscDih84wFuMx8JB9ijZI8VAZHnkVEokrviZSa6TwBP9
 TSaWP+wmMuXAfmZ0fUl5mL1FpMRKoETrhRVSHdnmP9KwGLSdS993Eu5pnQn4sqg3Nnka
 04ybGWn4W4o9E+ao7cd1Y/bReMpE6S1hMGj1MU3mSwxQHoqTJtbvur2tkOj8Dzb1vNnN
 FYScmFsoB+s1RrbzZpfg5xbXoW9iFYkSwvT3vRZxTMgVp9ktoFyTGedvlhZgq5WDKrab
 ELJNcFJRRT1IFBA+C7ZufmJpn3/R5F1Fk4fUZYQOO9xsUiISWthFmkqg1RBy+Sz4TL9S
 LOTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=mZLLWQhyTWb1nqIuE7GSKHVe6pR5qQczX/wbgUcIjz0=;
 b=OyvVPKk8Sv6fBULwK6LIB5wqUxFO5wxIgW3VQVgna/9Zv7hBnQhKJ/Q+Gq9NtWIhmu
 vnVPsRs+GGBypRHlVMoPBn3H594UiRf90pm5Ul8d22piTRLy4BlRSKU8gZVYs1upml4A
 OD0BuFIBcwcBanRGLoIFJbyh3DTZ68bd11f4Tpwjn5kjQjtMC9q2QlpPJQe513bML1ej
 txgEZ587qqDeAkHZHF1A8FHDOCVKCiNiJ21iXOEih4gkkonX/2JBSnpA4mlF4aCrTiBR
 pQ8hux2Wzha054zh6CzCbmF7A6v1EYux5yXIZbVN5SpMxt9wDomX/0Y/EW503vQ8bbwJ
 Kyng==
X-Gm-Message-State: AOAM530oWBhf/h8Ct+ZlsRjfeCWoMdarAeroRnp6YeS0MGkMcpSDoyxx
 AGD1ZSOvb0z8AVupgkyK3ubpHWuHRgPdQ2fn2SE=
X-Google-Smtp-Source: ABdhPJyZBul4B5hHuhoQRTsJFcdEY2MKnaRJC7C4i8YJF0C4JuO6h5TOJOXAZ86ADUbKXol23Kv8cbl7O3N0SJeKt0k=
X-Received: by 2002:a6b:dc0f:: with SMTP id s15mr5889271ioc.180.1605473580770; 
 Sun, 15 Nov 2020 12:53:00 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 <83sg9bu3bq.fsf@HIDDEN>
In-Reply-To: <83sg9bu3bq.fsf@HIDDEN>
From: =?UTF-8?B?RmF0aWggQXlkxLFu?= <fatihaydin138@HIDDEN>
Date: Sun, 15 Nov 2020 20:52:49 +0000
Message-ID: <CAE-wskK0+2_=nFRqZfneoE7DRs57DLvgPV0=89Mk6kSTwZz6FA@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000007a68ba05b42b727a"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
X-Mailman-Approved-At: Sun, 15 Nov 2020 16:52:18 -0500
Cc: larsi@HIDDEN, 44604 <at> debbugs.gnu.org, Fatih Aydin <fataydin138@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000007a68ba05b42b727a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Is there something I can do to help with the process of solving this
problem?
Also do you think that this will solved in the next release?

Eli Zaretskii <eliz@HIDDEN>, 14 Kas 2020 Cmt, 19:49 tarihinde =C5=9Funu ya=
zd=C4=B1:

> > From: Fatih Aydin <fataydin138@HIDDEN>
> > Date: Sat, 14 Nov 2020 19:31:56 +0000
> > Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44604 <at> debbugs.gnu.org
> >
> > To make sure that it will solve the problem, I have applied the solutio=
n
> you suggested.
> > Copied the source and changed '^direct' to '^DIRECT' and builded.
> >
> > The proxy problem is solved, but the package-install gpg problem I
> mentioned (Error while verifying signature
> > archive-contents.sig:) is still there.
> >
> > Also I found another weird bug related to this:
> > with English language environment visit 'https://www.google.com.tr'
> using eww, you will see the Turkish
> > characters correctly.
> > with Turkish language environment, do the same thing, you will see weir=
d
> characters instead of Turkish
> > characters.
>
> The ELisp manual says:
>
>      Some language environments modify the case conversions of ASCII
>   characters; for example, in the Turkish language environment, the ASCII
>   capital I is downcased into a Turkish dotless i (=E2=80=98=C4=B1=E2=80=
=99).  This can
>   interfere with code that requires ordinary ASCII case conversion, such
>   as implementations of ASCII-based network protocols.  In that case, use
>   the =E2=80=98with-case-table=E2=80=99 macro with the variable ASCII-CAS=
E-TABLE, which
>   stores the unmodified case table for the ASCII character set.
>
> I guess we need to use this around forms that implement network
> protocols.  At least this doesn't seem to help:
>
>  M-: (with-case-table ascii-case-table (eww "https://www.google.com.tr"))
> RET
>

--0000000000007a68ba05b42b727a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Is there something I can do to help with the process =
of solving this problem?</div><div>Also do you think that this will solved =
in the next release?</div></div><br><div class=3D"gmail_quote"><div dir=3D"=
ltr" class=3D"gmail_attr">Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN"=
>eliz@HIDDEN</a>&gt;, 14 Kas 2020 Cmt, 19:49 tarihinde =C5=9Funu yazd=C4=
=B1:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px=
 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; From: =
Fatih Aydin &lt;<a href=3D"mailto:fataydin138@HIDDEN" target=3D"_blank">=
fataydin138@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 14 Nov 2020 19:31:56 +0000<br>
&gt; Cc: Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN" target=3D"=
_blank">larsi@HIDDEN</a>&gt;, <a href=3D"mailto:44604 <at> debbugs.gnu.org" ta=
rget=3D"_blank">44604 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; To make sure that it will solve the problem, I have applied the soluti=
on you suggested.<br>
&gt; Copied the source and changed &#39;^direct&#39; to &#39;^DIRECT&#39; a=
nd builded.<br>
&gt; <br>
&gt; The proxy problem is solved, but the package-install gpg problem I men=
tioned (Error while verifying signature<br>
&gt; archive-contents.sig:) is still there.<br>
&gt; <br>
&gt; Also I found another weird bug related to this:<br>
&gt; with English language environment visit &#39;<a href=3D"https://www.go=
ogle.com.tr" rel=3D"noreferrer" target=3D"_blank">https://www.google.com.tr=
</a>&#39; using eww, you will see the Turkish<br>
&gt; characters correctly.<br>
&gt; with Turkish language environment, do the same thing, you will see wei=
rd characters instead of Turkish<br>
&gt; characters.<br>
<br>
The ELisp manual says:<br>
<br>
=C2=A0 =C2=A0 =C2=A0Some language environments modify the case conversions =
of ASCII<br>
=C2=A0 characters; for example, in the Turkish language environment, the AS=
CII<br>
=C2=A0 capital I is downcased into a Turkish dotless i (=E2=80=98=C4=B1=E2=
=80=99).=C2=A0 This can<br>
=C2=A0 interfere with code that requires ordinary ASCII case conversion, su=
ch<br>
=C2=A0 as implementations of ASCII-based network protocols.=C2=A0 In that c=
ase, use<br>
=C2=A0 the =E2=80=98with-case-table=E2=80=99 macro with the variable ASCII-=
CASE-TABLE, which<br>
=C2=A0 stores the unmodified case table for the ASCII character set.<br>
<br>
I guess we need to use this around forms that implement network<br>
protocols.=C2=A0 At least this doesn&#39;t seem to help:<br>
<br>
=C2=A0M-: (with-case-table ascii-case-table (eww &quot;<a href=3D"https://w=
ww.google.com.tr" rel=3D"noreferrer" target=3D"_blank">https://www.google.c=
om.tr</a>&quot;)) RET<br>
</blockquote></div>

--0000000000007a68ba05b42b727a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 14 Nov 2020 19:49:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 14:49:16 2020
Received: from localhost ([127.0.0.1]:52062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ke1Xw-0001nV-Gp
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:49:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ke1Xv-0001nJ-Sd
 for 44604 <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:49:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60282)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1ke1Xq-0004U5-Fd; Sat, 14 Nov 2020 14:49:10 -0500
Received: from [176.228.60.248] (port=2340 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ke1Xp-0000Ss-SS; Sat, 14 Nov 2020 14:49:10 -0500
Date: Sat, 14 Nov 2020 21:48:57 +0200
Message-Id: <83sg9bu3bq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
In-Reply-To: <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
 (message from Fatih Aydin on Sat, 14 Nov 2020 19:31:56 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
 <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: larsi@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydin <fataydin138@HIDDEN>
> Date: Sat, 14 Nov 2020 19:31:56 +0000
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44604 <at> debbugs.gnu.org
> 
> To make sure that it will solve the problem, I have applied the solution you suggested.
> Copied the source and changed '^direct' to '^DIRECT' and builded.
> 
> The proxy problem is solved, but the package-install gpg problem I mentioned (Error while verifying signature
> archive-contents.sig:) is still there.
> 
> Also I found another weird bug related to this:
> with English language environment visit 'https://www.google.com.tr' using eww, you will see the Turkish
> characters correctly.
> with Turkish language environment, do the same thing, you will see weird characters instead of Turkish
> characters.

The ELisp manual says:

     Some language environments modify the case conversions of ASCII
  characters; for example, in the Turkish language environment, the ASCII
  capital I is downcased into a Turkish dotless i (‘ı’).  This can
  interfere with code that requires ordinary ASCII case conversion, such
  as implementations of ASCII-based network protocols.  In that case, use
  the ‘with-case-table’ macro with the variable ASCII-CASE-TABLE, which
  stores the unmodified case table for the ASCII character set.

I guess we need to use this around forms that implement network
protocols.  At least this doesn't seem to help:

 M-: (with-case-table ascii-case-table (eww "https://www.google.com.tr")) RET




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 14 Nov 2020 19:32:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 14:32:16 2020
Received: from localhost ([127.0.0.1]:52050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ke1HU-0001Ph-Cw
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:32:16 -0500
Received: from mail-ed1-f45.google.com ([209.85.208.45]:41345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1ke1HS-0001PT-HU
 for 44604 <at> debbugs.gnu.org; Sat, 14 Nov 2020 14:32:15 -0500
Received: by mail-ed1-f45.google.com with SMTP id t9so14602696edq.8
 for <44604 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 11:32:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fQ8sbaz167iLC61RhgJ0myFfRRGCELMFueqoLVA/WhM=;
 b=ho9Kos5HmRbSw47myo8pX2+8oky/LVrYhMZ3oa0uhQNoWPTEqttrRgIcq/BY9AQLeG
 RXuMSYJ+puy3bElytN378p03DD+2L4/ROkttrd0NsWTFwhWQ5/DSGt7bGZxY+DeFwbBt
 0snEPRGgorgqgmijZfh+AfMBtFqq6dXyt+CokHHHiyFM0h0zhIBov0IO/uMv5MSzSVTl
 535bEDynpcjGvBrI4VKPXD7cVoKx1qqTapbkugu5fIg8biwVlARejCT+e/uFzPRooe/8
 W5MAeWHnrF0DuxCshPuJNYlYsaYzM95e9DThVbc6yMDpkdda86Sm1QWAc8/HzdlJrnLH
 OynQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fQ8sbaz167iLC61RhgJ0myFfRRGCELMFueqoLVA/WhM=;
 b=PtZNo55Yl/nlaEzoh/THM6EbipmBc5+PRiI0LZA0PTnje7/7UYDQ80PLDhq8NfBfeg
 hQUuTiWLhgXVhoBKNErRm8jJaA7gj0UDBi95gtVekj5uwYRPDL5xLxsIIu4+jBvgC7+W
 Hd0XRZ98gWvTb4jgIz1ASwqNyJvvi8wiYONHVqXsNoEznAkpmAETC+G06cGxXbJNfano
 zXXT+X+mX8V0IgDH0ttST0VusBkYzK1szpzA4THW8wu+cGj7mzkGs2WS7yxVlRBDNp9j
 lAVlt/16pbtV04UeoNckTCORVUaJGeEAe92fdDUpX9KKfhe+hTrsAaOHI4NVznhoBNZ3
 0UwQ==
X-Gm-Message-State: AOAM5311PhA5EA/bOBfVWLpvsbBYBUhqC1ggIITpAObaeAjCqW8MwFYm
 As7yOCsVDtVqU93mGUrHfX9V15QLz44q06gyGUQ=
X-Google-Smtp-Source: ABdhPJzd5G0xXEymVWvTrEqI9U2YJyKL1ehK9VWISQXjY5Z/O8CANQdYjMjYXEBMSqJGrrz6UFl1FqeUUbaBVprkvsI=
X-Received: by 2002:a05:6402:411:: with SMTP id
 q17mr8801397edv.125.1605382328690; 
 Sat, 14 Nov 2020 11:32:08 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 <83361bvnc5.fsf@HIDDEN>
In-Reply-To: <83361bvnc5.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Sat, 14 Nov 2020 19:31:56 +0000
Message-ID: <CAHRQZ1xu6e6_C4+Ym4CLEpGs5gDgN-kVEKGeGG5dmB6P6RO7Hg@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006e2d7e05b416333c"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000006e2d7e05b416333c
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

To make sure that it will solve the problem, I have applied the solution
you suggested.
Copied the source and changed '^direct' to '^DIRECT' and builded.

The proxy problem is solved, but the package-install gpg problem I
mentioned (Error while verifying signature archive-contents.sig:) is still
there.

Also I found another weird bug related to this:
with English language environment visit 'https://www.google.com.tr' using
eww, you will see the Turkish characters correctly.
with Turkish language environment, do the same thing, you will see weird
characters instead of Turkish characters.


On Sat, Nov 14, 2020 at 5:51 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Fatih Aydin <fataydin138@HIDDEN>
> > Date: Sat, 14 Nov 2020 17:09:54 +0000
> > Cc: Eli Zaretskii <eliz@HIDDEN>, 44604 <at> debbugs.gnu.org
> >
> > Step 1: Run 'emacs -Q'
> > Step 2: M-x and type 'set-language-environment'. Write the value
> 'Turkish'.
> > Step 3: M-x and 'eww'. Try to visit 'google.com' or any website you
> want.
> >
> > That's all, you'll get a couple of 'Emergency (url): Unknown proxy
> directive: DIRECT'
>
> The problem is in url-proxy.el: url-default-find-proxy-for-url returns
> "DIRECT", but url-find-proxy-for-url tests for "^direct":
>
>     (cond
>      ((string-match "^direct" proxy) nil)
>
> url-find-proxy-for-url binds case-fold-search to t, believing that
> this would take care of the case difference, but that is false for
> Turkish, because under the Turkish language-environment, we get:
>
>   (downcase ?I) =3D> ?=C4=B1
>
> IOW, 'I' downcases into the dotless i.
>
> Does anyone understand why url-proxy insists on using the likes of
> "^direct" instead of "^DIRECT", i.e. why it doesn't match the case as
> well?
>

--0000000000006e2d7e05b416333c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div><div>To make sure that it will solve t=
he problem, I have applied the solution you suggested.<br></div>Copied the =
source and changed &#39;^direct&#39; to &#39;^DIRECT&#39; and builded.<br><=
br></div>The proxy problem is solved, but the package-install gpg problem I=
 mentioned (Error while verifying signature archive-contents.sig:) is still=
 there.<br></div><br>Also I found another weird bug related to this:<br></d=
iv>with English language environment visit &#39;<a href=3D"https://www.goog=
le.com.tr">https://www.google.com.tr</a>&#39; using eww, you will see the T=
urkish characters correctly.<br></div>with Turkish language environment, do=
 the same thing, you will see weird characters instead of Turkish character=
s.<br><div><div><div><div><br></div></div></div></div></div><br><div class=
=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sat, Nov 14, 2020=
 at 5:51 PM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_bl=
ank">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote"=
 style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);p=
adding-left:1ex">&gt; From: Fatih Aydin &lt;<a href=3D"mailto:fataydin138@g=
mail.com" target=3D"_blank">fataydin138@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 14 Nov 2020 17:09:54 +0000<br>
&gt; Cc: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank=
">eliz@HIDDEN</a>&gt;, <a href=3D"mailto:44604 <at> debbugs.gnu.org" target=3D"=
_blank">44604 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; Step 1: Run &#39;emacs -Q&#39;<br>
&gt; Step 2: M-x and type &#39;set-language-environment&#39;. Write the val=
ue &#39;Turkish&#39;.<br>
&gt; Step 3: M-x and &#39;eww&#39;. Try to visit &#39;<a href=3D"http://goo=
gle.com" rel=3D"noreferrer" target=3D"_blank">google.com</a>&#39; or any we=
bsite you want.<br>
&gt; <br>
&gt; That&#39;s all, you&#39;ll get a couple of &#39;Emergency (url): Unkno=
wn proxy directive: DIRECT&#39;<br>
<br>
The problem is in url-proxy.el: url-default-find-proxy-for-url returns<br>
&quot;DIRECT&quot;, but url-find-proxy-for-url tests for &quot;^direct&quot=
;:<br>
<br>
=C2=A0 =C2=A0 (cond<br>
=C2=A0 =C2=A0 =C2=A0((string-match &quot;^direct&quot; proxy) nil)<br>
<br>
url-find-proxy-for-url binds case-fold-search to t, believing that<br>
this would take care of the case difference, but that is false for<br>
Turkish, because under the Turkish language-environment, we get:<br>
<br>
=C2=A0 (downcase ?I) =3D&gt; ?=C4=B1<br>
<br>
IOW, &#39;I&#39; downcases into the dotless i.<br>
<br>
Does anyone understand why url-proxy insists on using the likes of<br>
&quot;^direct&quot; instead of &quot;^DIRECT&quot;, i.e. why it doesn&#39;t=
 match the case as<br>
well?<br>
</blockquote></div>

--0000000000006e2d7e05b416333c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 14 Nov 2020 17:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:51:42 2020
Received: from localhost ([127.0.0.1]:51934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdziA-0005K0-8H
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:51:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kdzi8-0005Jm-Gm
 for 44604 <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:51:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58724)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kdzi3-0004sI-5P; Sat, 14 Nov 2020 12:51:35 -0500
Received: from [176.228.60.248] (port=2691 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kdzi2-00072D-J2; Sat, 14 Nov 2020 12:51:34 -0500
Date: Sat, 14 Nov 2020 19:51:22 +0200
Message-Id: <83361bvnc5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
In-Reply-To: <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
 (message from Fatih Aydin on Sat, 14 Nov 2020 17:09:54 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
 <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: larsi@HIDDEN, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydin <fataydin138@HIDDEN>
> Date: Sat, 14 Nov 2020 17:09:54 +0000
> Cc: Eli Zaretskii <eliz@HIDDEN>, 44604 <at> debbugs.gnu.org
> 
> Step 1: Run 'emacs -Q'
> Step 2: M-x and type 'set-language-environment'. Write the value 'Turkish'.
> Step 3: M-x and 'eww'. Try to visit 'google.com' or any website you want.
> 
> That's all, you'll get a couple of 'Emergency (url): Unknown proxy directive: DIRECT'

The problem is in url-proxy.el: url-default-find-proxy-for-url returns
"DIRECT", but url-find-proxy-for-url tests for "^direct":

    (cond
     ((string-match "^direct" proxy) nil)

url-find-proxy-for-url binds case-fold-search to t, believing that
this would take care of the case difference, but that is false for
Turkish, because under the Turkish language-environment, we get:

  (downcase ?I) => ?ı

IOW, 'I' downcases into the dotless i.

Does anyone understand why url-proxy insists on using the likes of
"^direct" instead of "^DIRECT", i.e. why it doesn't match the case as
well?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 14 Nov 2020 17:10:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 12:10:13 2020
Received: from localhost ([127.0.0.1]:51886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdz41-0004K6-JZ
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:10:13 -0500
Received: from mail-ed1-f44.google.com ([209.85.208.44]:45215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kdz3z-0004Js-Fc
 for 44604 <at> debbugs.gnu.org; Sat, 14 Nov 2020 12:10:11 -0500
Received: by mail-ed1-f44.google.com with SMTP id q3so14333271edr.12
 for <44604 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 09:10:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=g5aslwuyUba2s1da8ssNqv76Ek/CEKpJkAtP4aDom9c=;
 b=MpnXv2q8uRZw1q0P33admGrT0r0yDBQES1jsdYEiCLYtJglynnLW5wcujhtQJoJA+I
 YTl9vqSX4KDdavfavV/Yhhs3f1HdozfpKZAMzTeAkKSqLpE3PytPlZE/ZLuUXyQVwdtr
 8MGfJ6aT2h0pxjAea5go8xjKrZCv4QrE80ko+Vb/RC+05h4VJ4pKp26Ng98GAk2ZWWr1
 uDYtsl+DTvFXsGvMBydYOJjdQquPdEIv3LpluIeB2tAyXopjcUd2kUUUVsJx8ARbbiL1
 FxXHFITlx6bZxo04EHpdlQlMCXjCmOxy2jImDXEvUG0j0YdcUtNkvbMtUU3Nj9/cpf8w
 340g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=g5aslwuyUba2s1da8ssNqv76Ek/CEKpJkAtP4aDom9c=;
 b=j3pUjdYTRJ/gBP4KobuPyMi64TbXqo7ub8eDKArGUairTtz+eDPrgVqNveqaNspdTq
 cA0+tJ2nnPgQOTjEOEbfEXFVkT1rqq1ompx+bX05hepZKJhzAUsgzXN9exzwdu/DDOap
 d2W18djV+B2csgIlB9bT7q88mB5rvKH2HjE+a1R0F0v+QIWPZ9W9T3rs63yB2iK2N7rm
 HEuar6lLSLhy6rzN5PhjJRnfVxX+PNaEjYI6+xYu+0HFKCZ0dfhygdmHt/7br9fPskSS
 ZzClMTKLwqb6Fn35salrymgPivTJx+ZAGXdPV065SLbpCyRvftqsUljKsBCVuUtX6epB
 92og==
X-Gm-Message-State: AOAM5331shimu2KldDOPtYsi3LzisLG2q93zwDg5tuPVYjupZuniFMdV
 ayTGOUSsJACnplHApmrHoIvJ2QItshcMmRtrw5E=
X-Google-Smtp-Source: ABdhPJx2YclkerbfKP99a7T5IHCIWQaEfdQ8eucatRK3TTSIukndCNwtPXhWfGDYG/o9WY1tuHttW/0SGPmzAjPABYo=
X-Received: by 2002:a50:cc48:: with SMTP id n8mr8501275edi.137.1605373805627; 
 Sat, 14 Nov 2020 09:10:05 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 <87mtzjyjtc.fsf@HIDDEN>
In-Reply-To: <87mtzjyjtc.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Sat, 14 Nov 2020 17:09:54 +0000
Message-ID: <CAHRQZ1xcqNg5iJqOHPVRia4hVu_6rs170=6x6gnzEnMgw2+rmw@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006a8a7005b4143737"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: Eli Zaretskii <eliz@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000006a8a7005b4143737
Content-Type: text/plain; charset="UTF-8"

Yes, you are right Lars, I've also realized that this is an error from
proxy.el file.
I don't use any kind of proxy, the steps are really simple to produce this
error.

Step 1: Run 'emacs -Q'
Step 2: M-x and type 'set-language-environment'. Write the value 'Turkish'.
Step 3: M-x and 'eww'. Try to visit 'google.com' or any website you want.

That's all, you'll get a couple of 'Emergency (url): Unknown proxy
directive: DIRECT'
On step 2, I've tried a bunch of different languages, the only problematic
one is Turkish.

On Sat, Nov 14, 2020 at 4:39 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Fatih Aydin <fataydin138@HIDDEN> writes:
>
> > Additional info: When I try to connect a website using eww, I again get
> this
> > message a few more times while the website is loading:
> > Emergency (url): Unknown proxy directive: DIRECT
>
> So it doesn't sound like this has anything to do with GPG, but is a
> problem with whatever you're using as an HTTP(S) proxy?
>
> Do you have a step-by-step recipe for reproducing this error, starting
> from "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--0000000000006a8a7005b4143737
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div>Yes, you are right Lars, I&#39;ve also=
 realized that this is an error from proxy.el file.<br></div>I don&#39;t us=
e any kind of proxy, the steps are really simple to produce this error.<br>=
<br></div>Step 1: Run &#39;emacs -Q&#39;<br></div>Step 2: M-x and type &#39=
;set-language-environment&#39;. Write the value &#39;Turkish&#39;.<br></div=
><div>Step 3: M-x and &#39;eww&#39;. Try to visit &#39;<a href=3D"http://go=
ogle.com">google.com</a>&#39; or any website you want.<br><br></div><div>Th=
at&#39;s all, you&#39;ll get a couple of &#39;Emergency (url): Unknown prox=
y directive: DIRECT&#39;<br></div><div>On step 2, I&#39;ve tried a bunch of=
 different languages, the only problematic one is Turkish.<br></div></div><=
br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sat,=
 Nov 14, 2020 at 4:39 PM Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@gnus=
.org">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quo=
te" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204=
);padding-left:1ex">Fatih Aydin &lt;<a href=3D"mailto:fataydin138@HIDDEN=
" target=3D"_blank">fataydin138@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Additional info: When I try to connect a website using eww, I again ge=
t this<br>
&gt; message a few more times while the website is loading:<br>
&gt; Emergency (url): Unknown proxy directive: DIRECT<br>
<br>
So it doesn&#39;t sound like this has anything to do with GPG, but is a<br>
problem with whatever you&#39;re using as an HTTP(S) proxy?<br>
<br>
Do you have a step-by-step recipe for reproducing this error, starting<br>
from &quot;emacs -Q&quot;?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--0000000000006a8a7005b4143737--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 14 Nov 2020 16:39:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 11:39:24 2020
Received: from localhost ([127.0.0.1]:51772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdyaC-0001MM-Fn
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:39:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kdyaA-0001M7-Nr
 for 44604 <at> debbugs.gnu.org; Sat, 14 Nov 2020 11:39:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rllSDhDWXS9kgM1UgsKQt/xB9WB231GeOC1x1BKKuZc=; b=akTgZXuxuryItLUgH5Rs31FIna
 7IqzXEF353WkOVetOd7Fp+u3IyRzc5eGiVs90QhqBQ8RA8H/ObuCyUZscWbG9siYjx2cuKsF+EwsX
 5CRjenZBmxTkkc/iG8zbzci44UMZDix0YV/83A+VrPVTQxvtnecgjk3b8kXlZb1XVrsQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kdya0-0000ot-To; Sat, 14 Nov 2020 17:39:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
Subject: Re: bug#44604: 27.1; gpg error when language environment is set to
 Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
 <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
X-Now-Playing: Genesis's _Duke_: "Duke's End"
Date: Sat, 14 Nov 2020 17:39:11 +0100
In-Reply-To: <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
 (Fatih Aydin's message of "Fri, 13 Nov 2020 14:19:00 +0000")
Message-ID: <87mtzjyjtc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Fatih Aydin <fataydin138@HIDDEN> writes: > Additional
 info:
 When I try to connect a website using eww, I again get this > message a few
 more times while the website is loading: > Emergency (url): Unknown proxy
 directive: DIRECT 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44604
Cc: Eli Zaretskii <eliz@HIDDEN>, 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fatih Aydin <fataydin138@HIDDEN> writes:

> Additional info: When I try to connect a website using eww, I again get this
> message a few more times while the website is loading:
> Emergency (url): Unknown proxy directive: DIRECT

So it doesn't sound like this has anything to do with GPG, but is a
problem with whatever you're using as an HTTP(S) proxy?

Do you have a step-by-step recipe for reproducing this error, starting
from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 13 Nov 2020 14:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 09:19:22 2020
Received: from localhost ([127.0.0.1]:47332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdZv7-00029P-ND
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 09:19:22 -0500
Received: from mail-ej1-f51.google.com ([209.85.218.51]:36871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kdZv4-00029A-AC
 for 44604 <at> debbugs.gnu.org; Fri, 13 Nov 2020 09:19:20 -0500
Received: by mail-ej1-f51.google.com with SMTP id f20so13670427ejz.4
 for <44604 <at> debbugs.gnu.org>; Fri, 13 Nov 2020 06:19:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=QrfM2a9UUTxbmbZDnNY6uYynxK3Kz0aKAE9g2BRR98M=;
 b=ABCCSuz30JWnnJEI1jrVlvD9nVEYH+sM6dV81PvFsy64trXUxO/8BwiTQddn6xSPq6
 KDFV2IHx4CGFKSwq6ImFNoLThQYK1ZeI1mxG9vs+kX0Dis+qxZRYR8hkjGJL12mApynV
 biz/7PH8uVPMJf2nugQ/wsqy2ceZZWdbDxVCkoWFrqDsOjFlHlXP8gbO50Pnlu8IAxi9
 CrNXI3p5AdjTDtKm/NjstyGOprxiLZraxoNrvmXTAVwZ7l38woqFDd4U6iPvUGdE4j21
 PitPzcyZlAoytVZpVcl5RMwxvT+vysJPvVF7HjG111p9HAn8w8VTcfgEydB4gW+PHSNi
 tBJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=QrfM2a9UUTxbmbZDnNY6uYynxK3Kz0aKAE9g2BRR98M=;
 b=Dm+WaRil/YG5k+ix2f/lxKezHnG/WOn3Pxukgv2lciPI8n93UFCRnO5aI2QzKHpAIa
 NS2c90nAbuD5mDUGtdJx5Xnj8nkGhJkszsIMscVnw3bu5q7somCiLj3cfJGF799tsPLA
 8i8fTkKJqR7RG1cuT0XyF718Bkj6O74mB0OVnrkjOqvll5otTUvhSX1voInCZlSRSGJ2
 aVlZ+LVnYW+yFURsDYCSINXk5bjSTL4GOFdLntGQCJB47NJ/2twRWFlhal1hNnq9xzbX
 Z/IFJhFJ+qdRHl88QfT+ZQnTQIuIfn5GIe19zzULbtC44aoN/VCT8wsyLj9ksOhpO8Mc
 +JBw==
X-Gm-Message-State: AOAM533z7xQFOx+TQbeioXTuwXnVdlKVa0G9gYj+lbUxhRNFLe/0WAHO
 b0csKTEvVwrLS95e0rjTOz9am8xE3yfhbQeBYxs=
X-Google-Smtp-Source: ABdhPJyjL5KpsRLoDqDiHFPgIeckC7Klg9MdBIuBlJzQiD5tIE8I23YgwjPQIvsr8bcoKFo8NhGpS2QYgi77QcKLSdc=
X-Received: by 2002:a17:906:7190:: with SMTP id
 h16mr2022331ejk.221.1605277152432; 
 Fri, 13 Nov 2020 06:19:12 -0800 (PST)
MIME-Version: 1.0
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 <831rgxxxwu.fsf@HIDDEN>
In-Reply-To: <831rgxxxwu.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Fri, 13 Nov 2020 14:19:00 +0000
Message-ID: <CAHRQZ1zr2D1QLEeTD+iCvnyn63mq0_oVWTA-dq0XJwrVsFPCWQ@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006fd47d05b3fdb623"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000006fd47d05b3fdb623
Content-Type: text/plain; charset="UTF-8"

No, the package doesn't matter, the error occurs before it asks for a
package.

When you run for the first time (without .emacs.d folder), before
package-install asks for the package name, it installs some files to
.emacs.d (.emacs.d/elpa/archives and .emacs.d/elpa/gnupg folders are
created). This is what normally happens, but with 'LANG=tr_TR.UTF-8' or
'current-language-environment=Turkish' it first prompts:

Emergency (url): Unknown proxy directive: DIRECT

Then the error report comes:

Error while verifying signature archive-contents.sig:

Command output:
gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Good signature from "GNU ELPA Signing Agent (2019) <
elpasign@HIDDEN>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the
owner.
Primary key fingerprint: C433 5547 66D3 DDC6 4221  BFAA 066D AFCB 81E4 2C40

Additional info: When I try to connect a website using eww, I again get
this message a few more times while the website is loading:
Emergency (url): Unknown proxy directive: DIRECT

On Fri, Nov 13, 2020 at 12:08 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Fatih Aydin <fataydin138@HIDDEN>
> > Date: Fri, 13 Nov 2020 09:10:41 +0000
> > Cc: "44604 <at> debbugs.gnu.org" <44604 <at> debbugs.gnu.org>
> >
> > Steps to reproduce:
> > - Start Emacs
> > - Set language environment to Turkish. (doesn't matter how you do it:
> customize menu or use
> > set-language-environment or change LANG variable of the system) To have
> the result without a reboot, use
> > set-language-environment function.
> > - Run package-install, you will get the error I mentioned. Also before
> that error you will see some messages
> > with 'unknown proxy direct' in it.
>
> package-install asks for a package.  Does it matter what package to
> select here?  Which package did you try to install when you got the
> error?
>
> > I have tested this on two different laptops with same OS and the same
> internet connection. I got the same
> > result.
>
> Thanks, I will look into this soon if no one beats me up to it.
>

--0000000000006fd47d05b3fdb623
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div>No, the package doesn&#39;t matter, the err=
or occurs before it asks for a package.<br><br>When you run for the first t=
ime (without .emacs.d folder), before package-install asks for the package =
name, it installs some files to .emacs.d (.emacs.d/elpa/archives and .emacs=
.d/elpa/gnupg folders are created). This is what normally happens, but with=
 &#39;LANG=3Dtr_TR.UTF-8&#39; or &#39;current-language-environment=3DTurkis=
h&#39; it first prompts:<br><br></div>Emergency (url): Unknown proxy direct=
ive: DIRECT<br><br></div>Then the error report comes:<br><br>Error while ve=
rifying signature archive-contents.sig:<br><br>Command output:<br>gpg: Sign=
ature made Thu 12 Nov 2020 01:05:03 PM +03<br>gpg:=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 using RS=
A key C433554766D3DDC64221BFAA066DAFCB81E42C40<br>gpg: Good signature from =
&quot;GNU ELPA Signing Agent (2019) &lt;<a href=3D"mailto:elpasign@HIDDEN=
.org">elpasign@HIDDEN</a>&gt;&quot; [unknown]<br>gpg: WARNING: This k=
ey is not certified with a trusted signature!<br>gpg:=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 There is no indication that the signature=
 belongs to the owner.<br>Primary key fingerprint: C433 5547 66D3 DDC6 4221=
=C2=A0 BFAA 066D AFCB 81E4 2C40<br><br></div>Additional info: When I try to=
 connect a website using eww, I again get this message a few more times whi=
le the website is loading:<br>Emergency (url): Unknown proxy directive: DIR=
ECT<br></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail=
_attr">On Fri, Nov 13, 2020 at 12:08 PM Eli Zaretskii &lt;<a href=3D"mailto=
:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gm=
ail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,=
204,204);padding-left:1ex">&gt; From: Fatih Aydin &lt;<a href=3D"mailto:fat=
aydin138@HIDDEN" target=3D"_blank">fataydin138@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 13 Nov 2020 09:10:41 +0000<br>
&gt; Cc: &quot;<a href=3D"mailto:44604 <at> debbugs.gnu.org" target=3D"_blank">4=
4604 <at> debbugs.gnu.org</a>&quot; &lt;<a href=3D"mailto:44604 <at> debbugs.gnu.org"=
 target=3D"_blank">44604 <at> debbugs.gnu.org</a>&gt;<br>
&gt; <br>
&gt; Steps to reproduce:<br>
&gt; - Start Emacs<br>
&gt; - Set language environment to Turkish. (doesn&#39;t matter how you do =
it: customize menu or use<br>
&gt; set-language-environment or change LANG variable of the system) To hav=
e the result without a reboot, use<br>
&gt; set-language-environment function.<br>
&gt; - Run package-install, you will get the error I mentioned. Also before=
 that error you will see some messages<br>
&gt; with &#39;unknown proxy direct&#39; in it.<br>
<br>
package-install asks for a package.=C2=A0 Does it matter what package to<br=
>
select here?=C2=A0 Which package did you try to install when you got the<br=
>
error?<br>
<br>
&gt; I have tested this on two different laptops with same OS and the same =
internet connection. I got the same<br>
&gt; result.<br>
<br>
Thanks, I will look into this soon if no one beats me up to it.<br>
</blockquote></div>

--0000000000006fd47d05b3fdb623--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 13 Nov 2020 12:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 07:08:15 2020
Received: from localhost ([127.0.0.1]:47156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdXsF-0005Gc-Eu
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 07:08:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kdXsE-0005GQ-77
 for 44604 <at> debbugs.gnu.org; Fri, 13 Nov 2020 07:08:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53831)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kdXs8-00033W-R2; Fri, 13 Nov 2020 07:08:09 -0500
Received: from [176.228.60.248] (port=3839 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kdXrz-000876-6F; Fri, 13 Nov 2020 07:08:07 -0500
Date: Fri, 13 Nov 2020 14:07:45 +0200
Message-Id: <831rgxxxwu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
In-Reply-To: <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
 (message from Fatih Aydin on Fri, 13 Nov 2020 09:10:41 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
 <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydin <fataydin138@HIDDEN>
> Date: Fri, 13 Nov 2020 09:10:41 +0000
> Cc: "44604 <at> debbugs.gnu.org" <44604 <at> debbugs.gnu.org>
> 
> Steps to reproduce:
> - Start Emacs
> - Set language environment to Turkish. (doesn't matter how you do it: customize menu or use
> set-language-environment or change LANG variable of the system) To have the result without a reboot, use
> set-language-environment function.
> - Run package-install, you will get the error I mentioned. Also before that error you will see some messages
> with 'unknown proxy direct' in it.

package-install asks for a package.  Does it matter what package to
select here?  Which package did you try to install when you got the
error?

> I have tested this on two different laptops with same OS and the same internet connection. I got the same
> result.

Thanks, I will look into this soon if no one beats me up to it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 13 Nov 2020 09:10:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 04:10:50 2020
Received: from localhost ([127.0.0.1]:46644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdV6Y-0006rI-Fc
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 04:10:50 -0500
Received: from mail-ed1-f44.google.com ([209.85.208.44]:42679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kdV6V-0006r4-V9
 for 44604 <at> debbugs.gnu.org; Fri, 13 Nov 2020 04:10:49 -0500
Received: by mail-ed1-f44.google.com with SMTP id v22so9823385edt.9
 for <44604 <at> debbugs.gnu.org>; Fri, 13 Nov 2020 01:10:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=kX/jgfZevZXF1ywsBob1BTTQnAABLOPGsnWk18gszso=;
 b=XZLoQVvejQeU76eXfm+aNNkvzSGy0SDdHkYhQPXLaRO/6zIOfthr9vlaJAEpOwEvWw
 PApRb9FFYxJ6hdkviHEkDRSSChqjBO0Dm6KZkItteR37qawxoL7Y+ST8UWiCOZAim6fN
 vWnqAKCnaU+Qyo8Te3Fgi+cM/hIMjHRhu3pKtSzX6Yy/9CPiglkfsEplIrRjgzNlv92s
 4Icsk/AyLQekOsjcqoftrz1pi8ZFJJcStirgTi9R264iNzd1ThgeJAEUCZAB08t+lWKm
 mecuOxPTpC+BN87oOHPalUlfZ6ffITNlzeMUWKvMI1szmPpx6LnPE/A6lUePuFhxyQhy
 CZmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=kX/jgfZevZXF1ywsBob1BTTQnAABLOPGsnWk18gszso=;
 b=BQPnC3+jJIQtyRB45qTXNAVzMpOP8GUZusPdGssBytg/E7BCWKPN3/fWh084HFJHCs
 p61NpcX/++zAYFP2viTt8vA3E23neAjQU+7QTZdqCD9p5Kx4OY9SObvkrKDVteQlQA7l
 7fU0jGM1J/1Hud3nVEbgJ91yEgdwHpqIW/lj047cas1DxfKu7BmAOOQCHbE0wukHu4tk
 CB9+L++qDGEqHzTG+WCEhli4wQKIOjL0REcrPtw7iSQYwcmSHj0Kf1bNUhoXcqmM9GrI
 SWG8j8hE6O0RIoCoRQ6Rbo/uc8rhEW0QlBLSWGNxRs/1fzyLy13eE1bhZ7Zabm47+xBL
 Xjag==
X-Gm-Message-State: AOAM530fk4WG8g3dALKINkKU+5v16RaHcfimr2HxFVbAOq0KrPYQcnwt
 ceumJaSOYN+smg2bwb1rVPriYPdV/3caNuvNdrnYHrv8+/QcCRZn
X-Google-Smtp-Source: ABdhPJwJi4dI0T3kGXdtt9WjGK/rcfDSC/jFoiLWQYgFkaTQ+AXZVdUhtBaUh4h/uaQTTdyFB7Q7ZJiMzZOPqLipzus=
X-Received: by 2002:a50:cc48:: with SMTP id n8mr1530479edi.137.1605258642014; 
 Fri, 13 Nov 2020 01:10:42 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a54:358e:0:0:0:0:0 with HTTP; Fri, 13 Nov 2020 01:10:41
 -0800 (PST)
In-Reply-To: <83blg1y8tp.fsf@HIDDEN>
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 <83blg1y8tp.fsf@HIDDEN>
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Fri, 13 Nov 2020 09:10:41 +0000
Message-ID: <CAHRQZ1xUobX=o0tD3WaZB41bArW=SMVsiP5FFzS9ZwX=OBYppg@HIDDEN>
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000021469505b3f9672a"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 44604
Cc: "44604 <at> debbugs.gnu.org" <44604 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--00000000000021469505b3f9672a
Content-Type: text/plain; charset="UTF-8"

I have changed my locale back to English before sending the bug report.
Okay I will write the recipe,
Steps to reproduce:
- Start Emacs
- Set language environment to Turkish. (doesn't matter how you do it:
customize menu or use set-language-environment or change LANG variable of
the system) To have the result without a reboot, use
set-language-environment function.
- Run package-install, you will get the error I mentioned. Also before that
error you will see some messages with 'unknown proxy direct' in it.

I have tested this on two different laptops with same OS and the same
internet connection. I got the same result.

Thank you.


On Friday, November 13, 2020, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: Fatih Aydin <fataydin138@HIDDEN>
>> Date: Thu, 12 Nov 2020 19:44:35 +0000
>>
>> When I set Turkish as the language environment, I started to have
problems
>>  with gpg.
>> I have tried to;
>> - Change lanuage environment of OS (locale.conf) instead of changing it
in
>>  Emacs, nothing changed.
>> - Set another languages to see if they also cause problem (Polish and
>>  Arabic), they were okay. Only Turkish is the problematic one.
>> The problems I have observed:
>> - I get this error message when I run package-install:
>> Error while verifying signature archive-contents.sig:
>> Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
>> - When I run org-decrypt-entry, nothing happens. (in English, it works)
>> In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22,
cairo
>>  version 1.17.3)
>
> Can you please show a recipe to reproduce the problem starting from
> "emacs -Q"?  In particular, please describe how did you set the
> Turkish language environment, given that your locale is en_US.UTF-8.
>
> Thanks.
>

--00000000000021469505b3f9672a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I have changed my locale back to English before sending the bug report. Oka=
y I will write the recipe,<br>Steps to reproduce:<br>- Start Emacs<br>- Set=
 language environment to Turkish. (doesn&#39;t matter how you do it: custom=
ize menu or use set-language-environment or change LANG variable of the sys=
tem) To have the result without a reboot, use set-language-environment func=
tion.<br>- Run package-install, you will get the error I mentioned. Also be=
fore that error you will see some messages with &#39;unknown proxy direct&#=
39; in it.<br><br>I have tested this on two different laptops with same OS =
and the same internet connection. I got the same result.<br><br>Thank you.<=
br><br><br>On Friday, November 13, 2020, Eli Zaretskii &lt;<a href=3D"mailt=
o:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br>&gt;&gt; From: Fatih Aydin &=
lt;<a href=3D"mailto:fataydin138@HIDDEN">fataydin138@HIDDEN</a>&gt;<b=
r>&gt;&gt; Date: Thu, 12 Nov 2020 19:44:35 +0000<br>&gt;&gt;<br>&gt;&gt; Wh=
en I set Turkish as the language environment, I started to have problems<br=
>&gt;&gt;=C2=A0 with gpg.<br>&gt;&gt; I have tried to;<br>&gt;&gt; - Change=
 lanuage environment of OS (locale.conf) instead of changing it in<br>&gt;&=
gt;=C2=A0 Emacs, nothing changed.<br>&gt;&gt; - Set another languages to se=
e if they also cause problem (Polish and<br>&gt;&gt;=C2=A0 Arabic), they we=
re okay. Only Turkish is the problematic one.<br>&gt;&gt; The problems I ha=
ve observed:<br>&gt;&gt; - I get this error message when I run package-inst=
all:<br>&gt;&gt; Error while verifying signature archive-contents.sig:<br>&=
gt;&gt; Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03<=
br>&gt;&gt; - When I run org-decrypt-entry, nothing happens. (in English, i=
t works)<br>&gt;&gt; In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ =
Version 3.24.22, cairo<br>&gt;&gt;=C2=A0 version 1.17.3)<br>&gt;<br>&gt; Ca=
n you please show a recipe to reproduce the problem starting from<br>&gt; &=
quot;emacs -Q&quot;?=C2=A0 In particular, please describe how did you set t=
he<br>&gt; Turkish language environment, given that your locale is en_US.UT=
F-8.<br>&gt;<br>&gt; Thanks.<br>&gt;

--00000000000021469505b3f9672a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at 44604 <at> debbugs.gnu.org:


Received: (at 44604) by debbugs.gnu.org; 13 Nov 2020 08:12:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 03:12:26 2020
Received: from localhost ([127.0.0.1]:46572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdUC1-0005Nm-O6
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 03:12:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kdUC0-0005NY-AX
 for 44604 <at> debbugs.gnu.org; Fri, 13 Nov 2020 03:12:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43088)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kdUBv-0000YH-3B; Fri, 13 Nov 2020 03:12:19 -0500
Received: from [176.228.60.248] (port=1066 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kdUBu-00046t-9h; Fri, 13 Nov 2020 03:12:18 -0500
Date: Fri, 13 Nov 2020 10:12:02 +0200
Message-Id: <83blg1y8tp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fatih Aydin <fataydin138@HIDDEN>
In-Reply-To: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
 (message from Fatih Aydin on Thu, 12 Nov 2020 19:44:35 +0000)
Subject: Re: bug#44604: 27.1;
 gpg error when language environment is set to Turkish
References: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44604
Cc: 44604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fatih Aydin <fataydin138@HIDDEN>
> Date: Thu, 12 Nov 2020 19:44:35 +0000
> 
> When I set Turkish as the language environment, I started to have problems
>  with gpg.
> I have tried to;
> - Change lanuage environment of OS (locale.conf) instead of changing it in
>  Emacs, nothing changed.
> - Set another languages to see if they also cause problem (Polish and
>  Arabic), they were okay. Only Turkish is the problematic one.
> The problems I have observed:
> - I get this error message when I run package-install:
> Error while verifying signature archive-contents.sig:
> Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
> - When I run org-decrypt-entry, nothing happens. (in English, it works)
> In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cairo
>  version 1.17.3)

Can you please show a recipe to reproduce the problem starting from
"emacs -Q"?  In particular, please describe how did you set the
Turkish language environment, given that your locale is en_US.UTF-8.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2020 00:29:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 19:29:44 2020
Received: from localhost ([127.0.0.1]:46111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdMyF-0004Yl-6y
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 19:29:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:37026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fataydin138@HIDDEN>) id 1kdIWb-0003vN-7z
 for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 14:44:54 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:34638)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fataydin138@HIDDEN>)
 id 1kdIWb-00084t-0h
 for bug-gnu-emacs@HIDDEN; Thu, 12 Nov 2020 14:44:53 -0500
Received: from mail-ed1-x530.google.com ([2a00:1450:4864:20::530]:46523)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <fataydin138@HIDDEN>)
 id 1kdIWX-0004w3-6b
 for bug-gnu-emacs@HIDDEN; Thu, 12 Nov 2020 14:44:52 -0500
Received: by mail-ed1-x530.google.com with SMTP id t11so7774757edj.13
 for <bug-gnu-emacs@HIDDEN>; Thu, 12 Nov 2020 11:44:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=kbm1VfrGqNh4SYeo7ZC5FFTQ7xJRMIgx2cP5wztvQrE=;
 b=h5vuFAFXoy5EL9+l09fi3d3cFC9bDJuZBjfTcJLeT20wCu9MxabMyzulBraPi50JiL
 jWHURj7R09s8q3FnLkx9TLnRd7x/XO2is/HNNuc57dsxYMY2iY34sseCPb8UvclKwxfb
 GKcVfACaYJr6+3Qvw8AHIhj+3yt4EuG9C/pVjz5qkH5eRh+FGTCKn2g3jooxi4eN4bAj
 /1MZAMejFbc84CQS3hRfpfdstuIQgtFH9xai9w7SbIEjTXigBQz/GoKX75DNVg1oQMJD
 F0w4YVxXxv6UqFnrtUotlevtnN0Y52wvNndxxUwfqLq990pH8Kk4RTLGgxH7rfAEm0jh
 KZQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=kbm1VfrGqNh4SYeo7ZC5FFTQ7xJRMIgx2cP5wztvQrE=;
 b=BjTyM0nkhC/Ajf51HOIyeOZ3BW9683UQkWUtmY+C3+FMAQGtPEvfb9tzs73vAqmts1
 2A3Wt5BxjpNfoB7vBxSuyJB8+95iFOe4/rdPx/71+WcA/L3EPcXutPWKOxcxHwKyMRkM
 5ReYFUZvahmwJdjxC0G9VNWvp9CzISOeLbK4C/C1BSdICAZv8q7myhdWUf3WxlWLU3vM
 1FwpCr6n9c24Qg9SALsAh4VuKlhl3LrXVev7yKWohI4aAtGBI6lkNScCVnBXIykSAkcV
 n1pqM4IAbRomWzsAYZmsX3U8nGBobsb++FAtdwpfdthmAQqzkfBhP4iiMoyjqeRG7Eu8
 Kxbw==
X-Gm-Message-State: AOAM530n9oT5pqq+iyZxSGSTH1wGzU6Fo7JdicE/PjaTffC+X7tuRuVz
 nTV036o5I5BRv5YMWPKNngpb28KjzIm7ZTWGFw1hzTuJP7M=
X-Google-Smtp-Source: ABdhPJx7OctOnhEPTeLiQGzLLdacZXM3ptnVPdVh3aI1ksEzxbto6HtCntQgTUcUB/3EVnt7vJ5ZaJzSbjtIBjdGH7g=
X-Received: by 2002:a05:6402:411:: with SMTP id
 q17mr1554509edv.125.1605210286651; 
 Thu, 12 Nov 2020 11:44:46 -0800 (PST)
MIME-Version: 1.0
From: Fatih Aydin <fataydin138@HIDDEN>
Date: Thu, 12 Nov 2020 19:44:35 +0000
Message-ID: <CAHRQZ1yw6=wg7G_OdmeR8EPpkhGxWBe3iXBW00GmQmNUR=K42A@HIDDEN>
Subject: 27.1; gpg error when language environment is set to Turkish
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000ecfc5105b3ee2432"
Received-SPF: pass client-ip=2a00:1450:4864:20::530;
 envelope-from=fataydin138@HIDDEN; helo=mail-ed1-x530.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 12 Nov 2020 19:29:42 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--000000000000ecfc5105b3ee2432
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

When I set Turkish as the language environment, I started to have problems
 with gpg.
I have tried to;
- Change lanuage environment of OS (locale.conf) instead of changing it in
 Emacs, nothing changed.
- Set another languages to see if they also cause problem (Polish and
 Arabic), they were okay. Only Turkish is the problematic one.
The problems I have observed:
- I get this error message when I run package-install:
Error while verifying signature archive-contents.sig:
Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
- When I run org-decrypt-entry, nothing happens. (in English, it works)
In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cair=
o
 version 1.17.3)
 of 2020-08-28 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Arch Linux
Recent messages:
Making completion list... [2 times]
Quit
Importing package-keyring.gpg...done
Contacting host: elpa.gnu.org:443 [2 times]
Package refresh done
Failed to download =E2=80=98gnu=E2=80=99 archive.
Quit
Type "q" in help window to restore its previous buffer, C-M-v to scroll
help.
Quit
Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=3D-march=3Dx86-64
 -mtune=3Dgeneric -O2 -pipe -fno-plt' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP
Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
Major mode: Lisp Interaction
Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
Load-path shadows:
None found.
(shadow sort mail-extr emacsbug sendmail help-mode mm-archive message
dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
gnus-util rmail rmail-loaddefs text-property-search time-date mailabbrev
gmm-utils mailheader mm-decode mm-bodies mm-encode mail-utils gnutls
network-stream warnings url-http mail-parse rfc2231 rfc2047 rfc2045
mm-util ietf-drums mail-prsvr url-gw nsm rmc puny url-cache url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap epg epg-config finder-inf package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib misearch
multi-isearch tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)
Memory information:
((conses 16 75203 12839)
 (symbols 48 8692 1)
 (strings 32 25959 2065)
 (string-bytes 1 776904)
 (vectors 16 14300)
 (vector-slots 8 207058 16916)
 (floats 8 27 261)
 (intervals 56 3977 2464)
 (buffers 1000 17))
Date: Thu, 12 Nov 2020 22:42:24 +0300

--000000000000ecfc5105b3ee2432
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">When I set Turkish as the language environment, I started =
to have problems<br>=C2=A0with gpg.<br>I have tried to;<br>- Change lanuage=
 environment of OS (locale.conf) instead of changing it in<br>=C2=A0Emacs, =
nothing changed.<br>- Set another languages to see if they also cause probl=
em (Polish and<br>=C2=A0Arabic), they were okay. Only Turkish is the proble=
matic one.<br>The problems I have observed:<br>- I get this error message w=
hen I run package-install:<br>Error while verifying signature archive-conte=
nts.sig:<br>Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM =
+03<br>- When I run org-decrypt-entry, nothing happens. (in English, it wor=
ks)<br>In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.2=
2, cairo<br>=C2=A0version 1.17.3)<br>=C2=A0of 2020-08-28 built on juergen<b=
r>Windowing system distributor &#39;The X.Org Foundation&#39;, version 11.0=
.12009000<br>System Description: Arch Linux<br>Recent messages:<br>Making c=
ompletion list... [2 times]<br>Quit<br>Importing package-keyring.gpg...done=
<br>Contacting host: <a href=3D"http://elpa.gnu.org:443">elpa.gnu.org:443</=
a> [2 times]<br>Package refresh done<br>Failed to download =E2=80=98gnu=E2=
=80=99 archive.<br>Quit<br>Type &quot;q&quot; in help window to restore its=
 previous buffer, C-M-v to scroll help.<br>Quit<br>Configured using:<br>=C2=
=A0&#39;configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/l=
ib<br>=C2=A0--localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --wit=
h-wide-int<br>=C2=A0--with-modules --with-cairo --with-harfbuzz &#39;CFLAGS=
=3D-march=3Dx86-64<br>=C2=A0-mtune=3Dgeneric -O2 -pipe -fno-plt&#39; CPPFLA=
GS=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-ne=
eded,-z,relro,-z,now&#39;<br>Configured features:<br>XPM JPEG TIFF GIF PNG =
RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY<br>INOTIFY ACL GNUTLS LIBXM=
L2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11 X=
DBE XIM MODULES THREADS LIBSYSTEMD JSON<br>PDUMPER LCMS2 GMP<br>Important s=
ettings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-syst=
em: utf-8-unix<br>Major mode: Lisp Interaction<br>Minor modes in effect:<br=
>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode=
: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=
=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-=
mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=
=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 au=
to-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 line-num=
ber-mode: t<br>=C2=A0 transient-mark-mode: t<br>Load-path shadows:<br>None =
found.<br>(shadow sort mail-extr emacsbug sendmail help-mode mm-archive mes=
sage<br>dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived<br>=
gnus-util rmail rmail-loaddefs text-property-search time-date mailabbrev<br=
>gmm-utils mailheader mm-decode mm-bodies mm-encode mail-utils gnutls<br>ne=
twork-stream warnings url-http mail-parse rfc2231 rfc2047 rfc2045<br>mm-uti=
l ietf-drums mail-prsvr url-gw nsm rmc puny url-cache url-auth url<br>url-p=
roxy url-privacy url-expand url-methods url-history url-cookie<br>url-domsu=
f url-util mailcap epg epg-config finder-inf package easymenu<br>browse-url=
 url-handlers url-parse auth-source cl-seq eieio eieio-core<br>cl-macs eiei=
o-loaddefs password-cache json subr-x map url-vars seq<br>byte-opt gv bytec=
omp byte-compile cconv cl-loaddefs cl-lib misearch<br>multi-isearch tooltip=
 eldoc electric uniquify ediff-hook vc-hooks<br>lisp-float-type mwheel term=
/x-win x-win term/common-win x-dnd tool-bar<br>dnd fontset image regexp-opt=
 fringe tabulated-list replace newcomment<br>text-mode elisp-mode lisp-mode=
 prog-mode register page tab-bar menu-bar<br>rfn-eshadow isearch timer sele=
ct scroll-bar mouse jit-lock font-lock<br>syntax facemenu font-core term/tt=
y-colors frame minibuffer cl-generic<br>cham georgian utf-8-lang misc-lang =
vietnamese tibetan thai tai-viet lao<br>korean japanese eucjp-ms cp51932 he=
brew greek romanian slovak czech<br>european ethiopic indian cyrillic chine=
se composite charscript charprop<br>case-table epa-hook jka-cmpr-hook help =
simple abbrev obarray<br>cl-preloaded nadvice loaddefs button faces cus-fac=
e macroexp files<br>text-properties overlay sha1 md5 base64 format env code=
-pages mule<br>custom widget hashtable-print-readable backquote threads dbu=
sbind<br>inotify lcms2 dynamic-setting system-font-setting font-render-sett=
ing<br>cairo move-toolbar gtk x-toolkit x multi-tty make-network-process em=
acs)<br>Memory information:<br>((conses 16 75203 12839)<br>=C2=A0(symbols 4=
8 8692 1)<br>=C2=A0(strings 32 25959 2065)<br>=C2=A0(string-bytes 1 776904)=
<br>=C2=A0(vectors 16 14300)<br>=C2=A0(vector-slots 8 207058 16916)<br>=C2=
=A0(floats 8 27 261)<br>=C2=A0(intervals 56 3977 2464)<br>=C2=A0(buffers 10=
00 17))<br>Date: Thu, 12 Nov 2020 22:42:24 +0300 <br></div>

--000000000000ecfc5105b3ee2432--




Acknowledgement sent to Fatih Aydin <fataydin138@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44604; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 2 Dec 2020 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.